> For the complete documentation index, see [llms.txt](https://docs.liqd.ag/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.liqd.ag/liquidswap-integration/dexes.md).

# Liquidity Sources

`GET https://api.liqd.ag/dexes`

Returns the liquidity sources available on a chain, including each source's `routerIndex` for use with `excludeDexes` / `includeDexes` on [route finding](/liquidswap-integration/route-finding.md) and [find pools](/liquidswap-integration/find-pools.md).

Indexes and sources vary by chain and may change over time — always query this endpoint rather than hardcoding values.

### Required Parameters

| Name      | Type   | Description                                                 | Required | Example |
| --------- | ------ | ----------------------------------------------------------- | -------- | ------- |
| `chainId` | number | Chain to query (`999` = HyperEVM, `4663` = Robinhood Chain) | Yes      | `4663`  |

**Example Requests:**

```
GET https://api.liqd.ag/dexes?chainId=999
GET https://api.liqd.ag/dexes?chainId=4663
```

### Response Fields

| Field                   | Description                                      |
| ----------------------- | ------------------------------------------------ |
| `chainId`               | Chain that was queried                           |
| `simulatorAddress`      | Simulator contract for the chain                 |
| `data[].routerIndex`    | Index to pass in `excludeDexes` / `includeDexes` |
| `data[].name`           | Display name of the liquidity source             |
| `data[].key`            | Stable identifier for the source                 |
| `data[].adapterAddress` | Adapter contract address                         |
| `count`                 | Number of sources returned                       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.liqd.ag/liquidswap-integration/dexes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
